package com.purui.prims.headless.server.service;

import com.purui.prims.auth.api.authentication.pojo.User;
import com.purui.prims.headless.api.pojo.request.QueryRuleFilter;
import com.purui.prims.headless.api.pojo.request.QueryRuleReq;
import com.purui.prims.headless.api.pojo.response.QueryRuleResp;

import java.util.List;

public interface QueryRuleService {

    QueryRuleResp addQueryRule(QueryRuleReq queryRuleReq, User user);

    QueryRuleResp updateQueryRule(QueryRuleReq queryRuleReq, User user);

    Boolean dropQueryRule(Long id, User user);

    QueryRuleResp getQueryRuleById(Long id, User user);

    List<QueryRuleResp> getQueryRuleList(QueryRuleFilter queryRuleFilter, User user);

}
